BimpДовідка

Обладнання: методи API Bimp

Методи API Bimp для ресурсу «Обладнання» (/org2/machinery/…): 1 метод. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/machinery/api-readListA request to view a list of machinery

api-readList

POST /org2/machinery/api-readList

A request to view a list of machinery

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
showArchivebooleanDo you need to show archived records?
namestringMachinery name
modelstringMachinery model
yearOfManufacturestringThe year in the format ‘YYYY’ (e.g., ‘2025’)
acceptanceDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
serialNumberstringSerial number of machinery
counterpartyobject[]
counterparty[].GUIDstring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
paginationobjectтак
pagination.offsetintegerтак
pagination.countintegerтак

Відповідь: поле data

ПолеТипОпис
rowsobject[]
rows[].uuidstring
rows[].namestring
rows[].acceptanceDatestring
rows[].archiveboolean
rows[].yearOfManufacturestring
rows[].modelstring
rows[].serialNumberstring
rows[].warrantyPeriodnumber
rows[].referenceTypestring
totalnumber
curl -X POST 'https://app.bimpsoft.com/org2/machinery/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":1,"count":1}}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.